Subject: [core] Payloads and BLOCK2 for various methods

From: Jim Schaad <[email-masked]>
Date: Sat, 25 Jul 2020 08:43:14 -0700

I was going through my code because I found a problem with one of my
blockwise implementations and I found that I did not know where the text was
about sending payloads for NUM > 1 blocks.   The only statement that I have
found on this seems to be in Figure 10 of RFC 7959.  If it is elsewhere then
I have missed it.  The problem with this is a) it is an example rather than
a statement in the text and 2) it needs to be inferred that this applies to
more than just POST.

I also ended up looking at RFC 8132 and, to my surprise, I found that
blockwise is to be supported for FETCH, but there is no statement about
PATCH and iPATCH.   Given the explicit statement for FETCH, it is my
assumption that PATCH and iPATCH are not to be used with blockwise.  Does
that match what was intended?

Jim